@echo off
title 戴斯班克：雪山地牢汉化包鸾霄汉化组
echo 现在请等待，汉化文件中.....
if not exist ".\GameData-000000000.gg" goto error
start /w .\vpatch.exe "GameData-000000000.gg" ".\GameData-000000000.gg.bak"
if exist ".\GameData-000000000.gg.bak" del /q /f ".\GameData-000000000.gg" &ren ".\GameData-000000000.gg.bak" "GameData-000000000.gg"
if not exist ".\GameData-001010000.gg" goto error
start /w .\vpatch.exe ".\GameData-001010000.gg" ".\GameData-001010000.gg.bak"
if exist ".\GameData-001010000.gg.bak" del /q /f ".\GameData-001010000.gg" &ren ".\GameData-001010000.gg.bak" "GameData-001010000.gg"
if not exist ".\GameData-000010000.gg" goto error
start /w .\vpatch.exe ".\GameData-000010000.gg" ".\GameData-000010000.gg.bak"
if exist ".\GameData-000010000.gg.bak" del /q /f ".\GameData-000010000.gg" &ren ".\GameData-000010000.gg.bak" "GameData-000010000.gg"
if not exist ".\GameData-002010000.gg" goto error
start /w .\vpatch.exe ".\GameData-002010000.gg" ".\GameData-002010000.gg.bak"
if exist ".\GameData-002010000.gg.bak" del /q /f ".\GameData-002010000.gg" &ren ".\GameData-002010000.gg.bak" "GameData-002010000.gg"

goto ok
:error
echo 补丁没有找到所需要的文件，请复制到游戏的根目录
:ok
echo 补丁完成OK
goto end
:end
pause